[gutsy tribe-5] installer stops at 'creating a filesystem' because of mount.ntfs

Bug #135370 reported by Wiktor Wandachowicz on 2007-08-28
6
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: ubiquity

After manual partitioning installer stopped/froze displaying "5% - creating a filesystem" message.

I've found a suspicious program (/sbin/mount.ntfs) using process list that looked like the reason of the trouble. After killing it the installation process continued correctly and then the final message was shown. After that the /target, /target/data and /target/mnt/winxp partitions were left mounted, while other /target/mnt/* partitions were unmounted correctly. Looks like some problem with fuse and/or ntfs-3g to me.

I admit, I have a complicated disk layout, with separate home partition (mounted as /data and symlinked), many Linux partitions and several of them are even unformatted. Since I was able to complete the install, the problem I described is not a big deal for me. I wonder, however, if other people may find themselves in the same situation.

All the meaty details below:

$ ps axf
  PID TTY STAT TIME COMMAND
    2 ? S< 0:00 [kthreadd]
    3 ? S< 0:00 \_ [migration/0]
    4 ? SN 0:00 \_ [ksoftirqd/0]
    5 ? S< 0:00 \_ [watchdog/0]
    6 ? S< 0:00 \_ [events/0]
    7 ? S< 0:00 \_ [khelper]
   27 ? S< 0:00 \_ [kblockd/0]
   28 ? S< 0:00 \_ [kacpid]
   29 ? S< 0:00 \_ [kacpi_notify]
  132 ? S< 0:00 \_ [kseriod]
  156 ? S 0:00 \_ [pdflush]
  157 ? S< 0:00 \_ [kswapd0]
  208 ? S< 0:00 \_ [aio/0]
 2023 ? S< 0:00 \_ [khpsbpkt]
 2034 ? S< 0:00 \_ [knodemgrd_0]
 2037 ? S< 0:00 \_ [ata/0]
 2038 ? S< 0:00 \_ [ata_aux]
 2049 ? S< 0:00 \_ [scsi_eh_0]
 2050 ? S< 0:00 \_ [scsi_eh_1]
 2051 ? S< 0:00 \_ [scsi_eh_2]
 2073 ? S< 0:00 \_ [ksuspend_usbd]
 2074 ? S< 0:00 \_ [khubd]
 2218 ? S< 0:00 \_ [scsi_eh_3]
 2219 ? S< 0:00 \_ [scsi_eh_4]
 2981 ? S< 0:00 \_ [unionfs_siod/0]
 3010 ? S< 0:00 \_ [loop0]
 6935 ? S< 0:00 \_ [kgameportd]
 7023 ? S< 0:00 \_ [rt2500pci]
 7041 ? S< 0:00 \_ [kpsmoused]
 8253 ? S< 0:00 \_ [kondemand/0]
 8756 ? S< 0:00 \_ [krfcommd]
 9953 ? S< 0:00 \_ [jfsIO]
 9954 ? S< 0:00 \_ [jfsCommit]
 9955 ? S< 0:00 \_ [jfsSync]
 9976 ? S< 0:00 \_ [xfslogd/0]
 9977 ? S< 0:00 \_ [xfsdatad/0]
30752 ? S 0:00 \_ [pdflush]
31000 ? S< 0:00 \_ [kjournald]
31011 ? S< 0:00 \_ [kjournald]
31022 ? S< 0:00 \_ [kjournald]
31028 ? S< 0:00 \_ [kjournald]
31034 ? S< 0:00 \_ [kjournald]
    1 ? Ss 0:01 /sbin/init
 5898 ? S<s 0:00 /sbin/udevd --daemon
 7918 tty4 Ss 0:00 /bin/login -f
 7921 tty4 S+ 0:00 \_ -bash
 7922 tty5 Ss 0:00 /bin/login -f
 7925 tty5 S+ 0:00 \_ -bash
 7928 tty2 Ss 0:00 /bin/login -f
 7946 tty2 S+ 0:00 \_ -bash
 7932 tty3 Ss 0:00 /bin/login -f
 7935 tty3 S+ 0:00 \_ -bash
 7936 tty1 Ss 0:00 /bin/login -f
 7937 tty1 S+ 0:00 \_ -bash
 7938 tty6 Ss 0:00 /bin/login -f
 7941 tty6 S+ 0:00 \_ -bash
 8221 ? Ss 0:00 /usr/sbin/acpid -c /etc/acpi/events -s /var/run/acpid.socket
 8311 ? Ss 0:00 /sbin/syslogd
 8368 ? S 0:00 /bin/dd bs 1 if /proc/kmsg of /var/run/klogd/kmsg
 8370 ? Ss 0:00 /sbin/klogd -P /var/run/klogd/kmsg
 8391 ? Ss 0:00 /usr/bin/dbus-daemon --system
 8407 ? Ssl 0:00 /usr/sbin/NetworkManager --pid-file /var/run/NetworkManager/NetworkManager.pid
 8421 ? Ss 0:00 /usr/sbin/NetworkManagerDispatcher --pid-file /var/run/NetworkManager/NetworkManagerDispatcher.pid
 8434 ? Ss 0:00 /usr/bin/system-tools-backends
 8435 ? S 0:00 \_ dbus-daemon --session --print-address --nofork
 8451 ? Ss 0:01 /usr/sbin/hald
 8452 ? S 0:00 \_ hald-runner
 8459 ? S 0:00 \_ hald-addon-keyboard: listening on /dev/input/event1
 8460 ? S 0:00 \_ hald-addon-keyboard: listening on /dev/input/event4
 8461 ? S 0:00 \_ hald-addon-keyboard: listening on /dev/input/event5
 8462 ? S 0:00 \_ hald-addon-keyboard: listening on /dev/input/event6
 8464 ? S 0:00 \_ /usr/lib/hal/hald-addon-cpufreq
 8465 ? S 0:00 \_ hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
 8471 ? S 0:00 \_ hald-addon-storage: no polling because /dev/hdc is locked via O_EXCL
 8473 ? S 0:00 \_ hald-addon-storage: polling /dev/hdd (every 2 sec)
 8623 ? Ssl 0:00 /usr/sbin/console-kit-daemon
 8706 ? Ss 0:00 avahi-daemon: running [ubuntu.local]
 8707 ? Ss 0:00 \_ avahi-daemon: chroot helper
 8721 ? Ss 0:00 /usr/sbin/dhcdbd --system
 9454 ? S 0:00 \_ /sbin/dhclient -1 -lf /var/lib/dhcp3/dhclient.wlan0.leases -pf /var/run/dhclient.wlan0.pid -q -e dhc_dbus=31 -d wlan0
 8741 ? Ss 0:00 /usr/sbin/hcid -x -s
 8829 ? Ss 0:00 /usr/sbin/gdm
 8830 ? S 0:00 \_ /usr/sbin/gdm
 8837 tty7 Ss+ 1:20 \_ /usr/bin/X :0 -auth /var/lib/gdm/:0.Xauth -nolisten tcp vt7
 8950 ? Ssl 0:00 \_ x-session-manager
 8987 ? Ss 0:00 \_ /usr/bin/ssh-agent x-session-manager
 9031 ? S 0:05 \_ /usr/bin/metacity --replace --sm-client-id default0
 9033 ? S 0:09 \_ gnome-panel --sm-client-id default1
 9036 ? S 0:01 \_ nautilus --no-default-window --sm-client-id default2
 9107 ? S 0:00 \_ vino-session --sm-client-id default5
 9112 ? S 0:03 \_ update-notifier
 9113 ? S 0:01 \_ /usr/bin/python2.5 /usr/bin/restricted-manager --check
 9114 ? Sl 0:00 \_ /usr/lib/evolution/2.12/evolution-alarm-notify
 9137 ? SNl 0:01 \_ trackerd
 9139 ? S 0:01 \_ nm-applet --sm-disable
 9140 ? S 0:00 \_ python /usr/share/system-config-printer/applet.py
 8860 ? Ss 0:00 /usr/sbin/atd
 8876 ? Ss 0:00 /usr/sbin/cron
 8989 ? S 0:00 /usr/lib/libgconf2-4/gconfd-2 6
 8992 ? SL 0:00 /usr/bin/gnome-keyring-daemon
 8994 ? Ss 0:00 dbus-daemon --fork --print-address 18 --print-pid 20 --session
 8996 ? Sl 0:00 /usr/lib/gnome-control-center/gnome-settings-daemon
 9004 ? S 0:00 /usr/lib/gamin/gam_server
 9011 ? S<s 0:00 avahi-autoipd: [eth0] bound 169.254.6.189
 9012 ? S<s 0:00 \_ avahi-autoipd: [eth0] callout dispatcher
 9046 ? Ssl 0:00 /usr/lib/bonobo-activation/bonobo-activation-server --ac-activate --ior-output-fd=16
 9053 ? Ss 0:00 gnome-volume-manager --sm-client-id default4
 9094 ? S 0:00 /usr/lib/gnome-vfs-2.0/gnome-vfs-daemon
 9143 ? S<s 0:00 dhclient3 -pf /var/run/dhclient.eth0.pid -lf /var/lib/dhcp3/dhclient.eth0.leases eth0
 9191 ? Ss 0:00 gnome-power-manager
 9204 ? S 0:00 /usr/lib/nautilus-cd-burner/mapping-daemon
 9206 ? Ss 0:02 gnome-screensaver
 9241 ? S 0:00 /usr/lib/gnome-applets/trashapplet --oaf-activate-iid=OAFIID:GNOME_Panel_TrashApplet_Factory --oaf-ior-fd=21
 9313 ? Sl 0:00 /usr/lib/gnome-applets/mixer_applet2 --oaf-activate-iid=OAFIID:GNOME_MixerApplet_Factory --oaf-ior-fd=22
 9341 ? S 0:00 /usr/lib/fast-user-switch-applet/fast-user-switch-applet --oaf-activate-iid=OAFIID:GNOME_FastUserSwitchApplet_Factory --oaf-ior-fd=23
 9343 ? S 0:00 /usr/bin/python /usr/lib/deskbar-applet/deskbar-applet --oaf-activate-iid=OAFIID:Deskbar_Applet_Factory --oaf-ior-fd=31
 9366 ? S 0:00 /usr/lib/notification-daemon/notification-daemon
 9380 ? Sl 0:01 gnome-terminal
 9388 ? S 0:00 \_ gnome-pty-helper
 9389 pts/0 Ss 0:00 \_ bash
 9411 pts/0 S+ 0:00 | \_ -bash
 9520 pts/1 Ss 0:00 \_ bash
31893 pts/1 R+ 0:00 \_ ps axf
 9450 ? S 0:00 /sbin/wpa_supplicant -g /var/run/wpa_supplicant-global
 9549 ? S 0:00 gksudo --desktop file:///home/ubuntu/Desktop/ubiquity-gtkui.desktop -- /usr/lib/ubiquity/bin/ubiquity gtk_ui
 9551 ? Ss 0:11 \_ /usr/bin/python /usr/lib/ubiquity/bin/ubiquity gtk_ui
28272 ? S 0:00 \_ /usr/bin/perl -w /usr/bin/debconf-communicate -fnoninteractive ubiquity
28274 ? Z 0:00 \_ [log-output] <defunct>
10883 ? S 0:00 /bin/sh /usr/bin/firefox
10895 ? S 0:00 \_ /bin/sh /usr/lib/firefox/run-mozilla.sh /usr/lib/firefox/firefox-bin
10899 ? Sl 0:48 \_ /usr/lib/firefox/firefox-bin
31042 ? Ss 0:00 /sbin/mount.ntfs /dev/sda1 /target/mnt/winxp -o rw

$ ls /target
cdrom data etc lost+found media mnt var

$ ls /target/mnt
edgy feisty sid winxp

$ sudo fdisk -l /dev/sda

Disk /dev/sda: 320.0 GB, 320072933376 bytes
255 heads, 63 sectors/track, 38913 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x6d6c1fd5

   Device Boot Start End Blocks Id System
/dev/sda1 * 1 3917 31463271 7 HPFS/NTFS
/dev/sda2 3918 7833 31455270 83 Linux
/dev/sda3 7834 10445 20980890 83 Linux
/dev/sda4 10446 38913 228669210 5 Extended
/dev/sda5 10446 13057 20980858+ 83 Linux
/dev/sda6 13058 15669 20980858+ 83 Linux
/dev/sda7 15670 18281 20980858+ 83 Linux
/dev/sda8 18282 20893 20980858+ 83 Linux
/dev/sda9 20894 23505 20980858+ 83 Linux
/dev/sda10 23506 26117 20980858+ 83 Linux
/dev/sda11 26118 28729 20980858+ 83 Linux
/dev/sda12 28730 31341 20980858+ 83 Linux
/dev/sda13 31342 33953 20980858+ 83 Linux
/dev/sda14 33954 36565 20980858+ 83 Linux
/dev/sda15 36566 38913 18860278+ 82 Linux swap / Solaris

$ mount -l
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
tmpfs on /lib/modules/2.6.22-10-generic/volatile type tmpfs (rw,mode=0755)
tmpfs on /lib/modules/2.6.22-10-generic/volatile type tmpfs (rw,mode=0755)
fusectl on /sys/fs/fuse/connections type fusectl (rw)
varrun on /var/run type tmpfs (rw,noexec,nosuid,nodev,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
udev on /dev type tmpfs (rw,mode=0755)
devshm on /dev/shm type tmpfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /tmp type tmpfs (rw,nosuid,nodev)
securityfs on /sys/kernel/security type securityfs (rw)
/dev/sda8 on /target type ext3 (rw) []
/dev/sda2 on /target/data type ext3 (rw) [DATA]
/dev/sda5 on /target/mnt/edgy type ext3 (rw) [EDGY]
/dev/sda3 on /target/mnt/feisty type ext3 (rw) [FEISTY]
/dev/sda6 on /target/mnt/sid type ext3 (rw) [SID]
/dev/sda1 on /target/mnt/winxp type fuseblk (rw,nosuid,nodev,noatime,allow_other,blksize=4096) [WINXP]

$ cat /target/etc/fstab
# /etc/fstab: static file system information.
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# /dev/sda8
UUID=f63b45d9-37cf-4e8f-ae70-1387ee7aa15e / ext3 defaults,errors=remount-ro 0 1
# /dev/sda2
UUID=2d30252d-a106-47b4-b13c-869770c4901e /data ext3 defaults 0 2
# /dev/sdb2
UUID=70F2A9695A39125D /media/dane ntfs defaults,umask=007,gid=46 0 1
# /dev/sdb3
UUID=07ADA7AF52054E62 /media/media ntfs defaults,umask=007,gid=46 0 1
# /dev/sdb1
UUID=03559BD73278D2D1 /media/monika2 ntfs defaults,umask=007,gid=46 0 1
# /dev/sda5
UUID=120c6a1e-78ee-4ec1-a685-84e818f022a7 /mnt/edgy ext3 defaults 0 2
# /dev/sda3
UUID=1afb65df-6b3b-4c8d-9b0c-717f9e9d61d8 /mnt/feisty ext3 defaults 0 2
# /dev/sda6
UUID=379c4842-51c6-40fb-855d-b6fc94e0ccf7 /mnt/sid ext3 defaults 0 2
# /dev/sda1
UUID=06B07560B07556E1 /mnt/winxp ntfs defaults,umask=007,gid=46 0 1
# /dev/sda15
UUID=85c3913f-c650-4bd8-a060-f2819338a4c1 none swap sw 0 0
/dev/hdc /media/cdrom0 udf,iso9660 user,noauto 0 0
/dev/hdd /media/cdrom1 udf,iso9660 user,noauto 0 0
/dev/fd0 /media/floppy0 auto rw,user,noauto 0 0

$ sudo kill -9 31042

... and the installer continued. After that:

$ mount -l
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
tmpfs on /lib/modules/2.6.22-10-generic/volatile type tmpfs (rw,mode=0755)
tmpfs on /lib/modules/2.6.22-10-generic/volatile type tmpfs (rw,mode=0755)
fusectl on /sys/fs/fuse/connections type fusectl (rw)
varrun on /var/run type tmpfs (rw,noexec,nosuid,nodev,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
udev on /dev type tmpfs (rw,mode=0755)
devshm on /dev/shm type tmpfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /tmp type tmpfs (rw,nosuid,nodev)
securityfs on /sys/kernel/security type securityfs (rw)
/dev/sda8 on /target type ext3 (rw) []
/dev/sda2 on /target/data type ext3 (rw) [DATA]
/dev/sda1 on /target/mnt/winxp type fuseblk (rw,nosuid,nodev,noatime,allow_other,blksize=4096) [WINXP]

Szabolcs Szakacsits (szaka) wrote :

Why did /sbin/mount.ntfs look suspicious? How long did you wait? Isn't it possible that it was importing (searching for and copying) files from the NTFS partition to the Linux one? Thanks.

> Why did /sbin/mount.ntfs look suspicious?
The output of 'mount -l' displayed the first partition with NTFS as the last
one mounted (see the result above). So I suspected /something/ with
mounting this type of filesystem (ext3 fs were mounted correctly). Other
than that I guessed. And since killing the mount.ntfs process cured my
situation, I called it 'suspicious'. That's all.

I also started Windows shortly before starting the installer, so this NTFS
volume was in a good shape, no chkdsk or fsck complaints, thank you.

> How long did you wait?
Several hours (around 5). I left the installer at the aforementioned message
and went away for a visit. After returning home it was still in the same place.
Trying to cancel the installation and restarting it rendered the
installer useless,
because it was complaining about the partitioner ending unexpectedly with
the error number 10. Talk about informative messages ;-)

I restarted the machine from LiveCD and started the installer again.
As expected,
it stopped in the same moment. Looking proactively, I guessed that something
was happening because of ntfs-3g being used by default (up to feisty this was
not the case) - just look at the provided mount list, you can easily see fusectl
filesystem mounted and winxp partition as fuseblk type instead of simple ntfs.

> Isn't it possible that it was importing (searching for and copying) files from
> the NTFS partition to the Linux one?
I don't think so. It displayed an empty list of other operating
systems and didn't
offer an option to import the settings. IIRC, when installing Feisty
it detected this
Windows XP install and the offer for importing settings was displayed correctly.
But I haven't used it anyway :-) I work a lot more often with Linux
than Windows,
so there wouldn't be aby serious profile information to import. ;-)

> Thanks.
Yup. Thanks for your time too.

Still being proactive I will install this version of Gutsy on another
machine, with
similar partitioning scheme (with WinXP on the first partition, separate /home
and several Linux systems as well). Then I'll let you know.

Wiktor Wandachowicz (siryes) wrote :

I just did what I've said earlier: I started the installation of
Ubuntu Gutsy Tribe-5 on my laptop. The 5% stop with mount.ntfs
happened again, with the same solution. So in my case the problem is
repeatable.

And now for something completely different... ;-)

I noticed that the current installer is stubborn and doesn't want to
install over an empty, existing ext3 partition (I just did 'rm -rf *'
there) and insists on formatting it, as well as swap partition (sic!).
Having partitions in /etc/fstab mounted via UUID= (which is changed
upon reformat) means to me that I am forced to manually edit all fstab
files in other Linux systems I have on this machine. Sigh...

Plus, in the 'Edit partition' popup the partitioner doesn't allow a
simple 'Advanced' button to specify additional options for mounting a
partition - like PCLOS or SUSE have for example. Just the filesystem
size, type and mount point, rest are plain defaults. I can work around
it and I know how, but... Sigh.

Suzan (suzan72) wrote :

Same for me! Gutsy Tribe 5 won't install, hangs on 5% when formatting an ext3 root-partition.

BUT: I took a Tribe 4 CD and the installation with Tribe 4 works flawlessly!

My Hardware:
Dell Inspirion 6400 Laptop, nvidia GeForce Go 7300, 2GB RAM, Intel 3945 wireless.

Same for me.

Ryan Zeigler (rzeigler) wrote :

I can confirm the same behavior. Installer hangs at 5%. killall -9 mount.ntfs causes the installer to complete successfully.

hasan (hassanidin) wrote :

I experienced the same installer hang at 5%. My workaround was to not to set a mount point for my windows partition, and manually add it to /etc/fstab once the installation is completed.

Szabolcs Szakacsits (szaka) wrote :

Can anybody send an install log? I've never heard about situation where mount.ntfs (ntfs-3g) would hang, only here. Mount either succeeds or it fails and the mount command returns. The issue is clearly related to mount.ntfs, it triggers something somewhere but only the log could tell where the real problem is. Thanks.

Szaka

==
NTFS-3G Lead Developer: http://ntfs-3g.org

Wiktor Wandachowicz (siryes) wrote :

I tried to install Gutsy using defaults, i.e:
* English language (to overcome Bug #145012)
* all mountpoints at default locations & names (/media/sda*)

To my surprise I was able to finish the installation. I made a bunch of screenshots with all the steps I've taken.
I will attach them in a .tar.gz and the /var/log/syslog as suggested in https://wiki.ubuntu.com/DebuggingUbiquity

Then I will try to do one step at a time towards the installation configuration I have used while the installer and/or mount.ntfs were hanging.

Wiktor Wandachowicz (siryes) wrote :

I think I was able to isolate the problem. I've tried to reinstall Gutsy and now it hung. Basically what I did differently this time was to specify a different mountpoint for NTFS volumes:

/dev/sda2 at /mnt/vista instead of /media/sda2
/dev/sda5 at /mnt/homek instead of /media/sda5

You can see that mount.ntfs calls don't finish, as they are listed in process list:

# ps axf | grep mount.ntfs
27549 pts/0 S+ 0:00 \_ grep mount.ntfs
26621 ? Ss 0:00 /sbin/mount.ntfs /dev/sda5 /target/mnt/homek -o rw
26628 ? Ss 0:00 /sbin/mount.ntfs /dev/sda2 /target/mnt/vista -o rw

Mountings at this point are as such:

# mount -l
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
tmpfs on /lib/modules/2.6.22-12-generic/volatile type tmpfs (rw,mode=0755)
tmpfs on /lib/modules/2.6.22-12-generic/volatile type tmpfs (rw,mode=0755)
varrun on /var/run type tmpfs (rw,noexec,nosuid,nodev,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
udev on /dev type tmpfs (rw,mode=0755)
devshm on /dev/shm type tmpfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /tmp type tmpfs (rw,nosuid,nodev)
/dev/sda7 on /target type jfs (rw) []
/dev/sda5 on /target/mnt/homek type fuseblk (rw,nosuid,nodev,noatime,allow_other,blksize=4096) [HOMEK]
/dev/sda2 on /target/mnt/vista type fuseblk (rw,nosuid,nodev,noatime,allow_other,blksize=4096) [VistaOS]

I will attach two more screenshots and syslog for closer inspection.

Szabolcs Szakacsits (szaka) wrote :

Gutsy uses a very old NTFS-3G which denied several mount scenarios what are supported now. For example when the NTFS partition was resized previously, or the Windows hibernation file is corrupted.
There are two problems here:

1) NTFS-3G is tool old
2) Install shouldn't stop if mounting the NTFS partition is denied for safety and data integrity reasons. For example when Windows is hibernated.

Thank you for the log, let's hope Ubuntu developers fix it for the release.

Szaka

==
NTFS-3G Lead Developer: http://ntfs-3g.org

Szabolcs Szakacsits (szaka) wrote :

My comment was for the earlier syslog. Is mount.ntfs a symlink to ntfs-3g? If yes then there are more problems.

Wiktor Wandachowicz (siryes) wrote :

# which mount.ntfs
/sbin/mount.ntfs

# ls -al /sbin/mount.ntfs
lrwxrwxrwx 1 root root 12 2007-09-30 21:15 /sbin/mount.ntfs -> /bin/ntfs-3g

That says it all.

Wiktor Wandachowicz (siryes) wrote :

And maybe this one too:

# mount.ntfs
ntfs-3g: No device is specified.

ntfs-3g 1.710 - Third Generation NTFS Driver

Copyright (C) 2005-2006 Yura Pakhuchiy
Copyright (C) 2006-2007 Szabolcs Szakacsits

Usage: ntfs-3g <device|image_file> <mount_point> [-o option[,...]]

Options: ro, force, locale=, uid=, gid=, umask=, fmask=, dmask=,
          streams_interface=. Please see details in the manual.

Example: ntfs-3g /dev/sda1 /mnt/win -o force,locale=en_EN.UTF-8

Ntfs-3g news, support and information: http://ntfs-3g.org

Szabolcs Szakacsits (szaka) wrote :

Do you have the same problem with not JFS file system too? JFS is dead, IBM stopped supporting it, so it can have all short of problems, more and more in time.

Wiktor Wandachowicz (siryes) wrote :

No, I observed the same behavior with ext2 and ext3 (as you can see /dev/sda8 still has ext2 after the previous testings).

As a side note, when I resized Vista partitions to free up space for Ubuntu (it's a new laptop right now), the partitioner offered ext2 as a default (!) for all Linux partitions (type 83). I overlooked that and only later tried ext3 and jfs to see if everything still work. Now after I know what's going on, I have a plan for a clean reinstall, with ext3 of course :-)

Wiktor Wandachowicz (siryes) wrote :

Gosh, it's late... When I wrote:

"I observed the same behavior with ext2 and ext3"

I wanted to say that it didn't matter what other file systems I have used. In all my cases the installer was hanging, no matter if I used ext2, ext3 or jfs for Linux partitions.

And yes, you've got a good eye. I really wondered if anybody would notice my file system experiments ;-) And you did!

Szabolcs Szakacsits (szaka) wrote :

If you can make a custom installer then you can use the 'debug' ntfs-3g mount option and you could see on the stdout (or stderr, depending on the fuse version used) what's exactly happening with the driver and where it hangs. Well, actually unless it's in the kernel which is very probably. How much RAM do you have?

Wiktor Wandachowicz (siryes) wrote :

The laptop has 2GiB. It's an ASUS F3S-AS218E (T7250).

But right now I don't want to create a custom installer. I have enough after fighting recently with debugging LTSP (Edubuntu) startup sequence.

Patrik Jansson (patrikja) wrote :

I have had the same problem with Ubuntu 7.10 beta installer and a rename of the mount point of the windows partition. https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/147422

Thanks to the analysis in this bug report I now worked around the problem (I'll change the windows mount point later).

/Patrik

Colin Watson (cjwatson) wrote :

FWIW I think this is actually fixed by this tweak that I applied after beta:

partman-basicfilesystems (54ubuntu4) gutsy; urgency=low

  * mount.d/basic: Close mount's fd 3 so that it doesn't inherit a debconf
    file descriptor, to prevent log-output hanging when ntfs-3g is in use.

 -- Colin Watson <email address hidden> Fri, 28 Sep 2007 11:03:53 +0100

Szabolcs, do you think that on startup ntfs-3g could close any file descriptors it doesn't plan to use (as is standard practice for daemons) so that we don't need this?

(That said, I do think upgrading ntfs-3g would be a good plan and it's on my list if nobody beats me to it.)

Szabolcs Szakacsits (szaka) wrote :

ntfs-3g's fd 3 is the ntfs block device where it read/writes. Anything else is closed (fd 0,1,2 unless the 'debug' option is used). Logging is done via openlog(3).

Szabolcs Szakacsits (szaka) wrote :

Actually the daemon(3) function is used by default which redirects the standard fd's to /dev/null:
lrwx------ 1 root root 64 Oct 2 00:58 5 -> socket:[2190855]
lrwx------ 1 root root 64 Oct 2 00:58 4 -> /dev/fuse
lrwx------ 1 root root 64 Oct 2 00:58 3 -> /dev/hda3
lrwx------ 1 root root 64 Oct 2 00:58 2 -> /dev/null
lrwx------ 1 root root 64 Oct 2 00:58 1 -> /dev/null
lrwx------ 1 root root 64 Oct 2 00:58 0 -> /dev/null

PaulQ (paul-h-burns) wrote :

I can confirm I had the same problem using the beta of Gutsy Gibbon. I tried renaming the mount points of my windows partitions and and installing, but hung up at the 5% until i did a killall of mount.ntfs.

Wiktor Wandachowicz (siryes) wrote :

I can happily report that at least in Ubuntu 7.10 RC this problem no longer exists.

I was able to test the installation today and even though the installer still complained somewhat (the migration-assistant not being able to unmount partitions), it was no longer hanging nor indefinitely waiting after creating the filesystems.

I noticed however, that the NTFS volumes were no longer mounted during the installation process - only FAT32 and ext3 partitions were mounted in the target filesystem:

$ mount -l | grep target
/dev/sda8 on /target type ext3 (rw) []
/dev/sda6 on /target/data type ext3 (rw) [DATA]
/dev/sda7 on /target/mnt/gutsy type ext3 (rw) [GUTSY]
/dev/sda9 on /target/mnt/linux3 type ext3 (rw) [LINUX3]
/dev/sda1 on /target/mnt/recovery type vfat (rw) [RECOVERY]

But this didn't make much difference, since the mountpoints for NTFS volumes were created in correct places anyway:

$ ls /target/media
cdrom cdrom0 homek vista

BTW, my disk is now partitioned as follows:

$ sudo fdisk -l

Disk /dev/sda: 160.0 GB, 160041885696 bytes
129 heads, 4 sectors/track, 605778 cylinders
Units = cylinders of 516 * 512 = 264192 bytes
Disk identifier: 0x3184f443

   Device Boot Start End Blocks Id System
/dev/sda1 4 27787 7168000 1c Hidden W95 FAT32 (LBA) <-- RECOVERY
/dev/sda2 * 27787 190357 41943040 7 HPFS/NTFS <-- VistaOS
/dev/sda3 190361 605771 107176038 f W95 Ext'd (LBA)
/dev/sda5 190361 312289 31457280 7 HPFS/NTFS <-- HOMEK
/dev/sda6 312290 458950 37838536 83 Linux <-- DATA (separate /home)
/dev/sda7 458951 507721 12582916 83 Linux <-- GUTSY
/dev/sda8 507722 556492 12582916 83 Linux <-- GUTSY-RC
/dev/sda9 556493 605263 12582916 83 Linux <-- LINUX3
/dev/sda10 605264 605771 131062 82 Linux swap / Solaris

I suppose the upgrade of ntfs-3g and libntfs-3g12 to 1:1.913-2ubuntu1 helped much in this aspect :-). Good job anyway!

TerryG (tgalati4) wrote :

Triaged to Fix Released. There were several problems caused by mounting NTFS drives. Installing Linux was just one of them.

Changed in ubiquity:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers